> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seomator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the project’s own brand and tracked competitors



## OpenAPI

````yaml https://api.seomator.com/openapi.json get /v1/projects/{id}/brands
openapi: 3.1.0
info:
  title: SEOmator API
  version: 0.1.0
servers:
  - url: https://api.seomator.com
security: []
paths:
  /v1/projects/{id}/brands:
    get:
      tags:
        - ai visibility
      summary: List the project’s own brand and tracked competitors
      parameters:
        - schema:
            type: string
            description: Project id (proj_…) or slug (the domain with dots as dashes).
          required: true
          description: Project id (proj_…) or slug (the domain with dots as dashes).
          name: id
          in: path
      responses:
        '200':
          description: Brands
          content:
            application/json:
              schema:
                type: object
                properties:
                  brands:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        projectId:
                          type: string
                        name:
                          type: string
                        role:
                          type: string
                          enum:
                            - own
                            - competitor
                        aliases:
                          type: array
                          items:
                            type: object
                            properties:
                              text:
                                type: string
                                minLength: 1
                                maxLength: 100
                              caseSensitive:
                                type: boolean
                              accentInsensitive:
                                type: boolean
                              ambiguous:
                                type: boolean
                              generated:
                                type: boolean
                            required:
                              - text
                              - caseSensitive
                              - accentInsensitive
                              - ambiguous
                              - generated
                            additionalProperties: {}
                        domains:
                          type: array
                          items:
                            type: string
                        source:
                          type: string
                          enum:
                            - profile
                            - labs
                            - llm_mentions
                            - answers
                            - user
                        reason:
                          type:
                            - string
                            - 'null'
                        sharedKeywords:
                          type:
                            - integer
                            - 'null'
                        createdAt:
                          type: string
                      required:
                        - id
                        - projectId
                        - name
                        - role
                        - aliases
                        - domains
                        - source
                        - reason
                        - sharedKeywords
                        - createdAt
                      additionalProperties: {}
                required:
                  - brands
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - bad_request
                - unauthorized
                - insufficient_credits
                - plan_limit
                - forbidden
                - not_found
                - conflict
                - rate_limit_exceeded
                - internal_server_error
                - service_unavailable
            message:
              type: string
            requestId:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [Competitors: choose the brands to track](https://docs.seomator.com/setup/competitors.md)
- [MCP server: connect Claude, ChatGPT and more](https://docs.seomator.com/mcp/setup.md)
- [How SEOmator measures AI visibility](https://docs.seomator.com/getting-started/how-it-works.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.